All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros Groups
check_square.hpp File Reference
`#include <stan/math/prim/mat/fun/Eigen.hpp>`
`#include <stan/math/prim/scal/err/check_size_match.hpp>`
`#include <sstream>`

Go to the source code of this file.

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions

template<typename T_y >
bool | stan::math::check_square (const char *function, const char *name, const Eigen::Matrix< T_y, Eigen::Dynamic, Eigen::Dynamic > &y)
| Return `true` if the specified matrix is square. More...

[ Stan Home Page ] © 2011–2015, Stan Development Team.